Not the answer you need?
Register and ask your own question!

Why --compact option of the xtrabackup does not work?

ivanliuivanliu EntrantCurrent User Role Beginner
The command line:
# xtrabackup --defaults-file=/data1/3316/conf/my.cnf --login-path=mytest --target-dir=20170926 --backup --compact


The feedback from xtrabackup:
170926 17:01:18 version_check Connecting to MySQL server with DSN 'dbi:mysql:;mysql_read_default_group=xtrabackup;host=localhost;port=3316;mysql_socket=/data1/3316/logs/mysql.sock' as 'root' (using password: YES).
170926 17:01:18 version_check Connected to MySQL server
170926 17:01:18 version_check Executing a version check against the server...
170926 17:01:18 version_check Done.
170926 17:01:18 Connecting to MySQL server host: localhost, user: root, password: set, port: 3316, socket: /data1/3316/logs/mysql.sock
Using server version 5.6.24-log
xtrabackup version 2.4.8 based on MySQL server 5.7.13 Linux (x86_64) (revision id: 97330f7)
xtrabackup: error: compact backups are not supported by this version of xtrabackup


Anybody encountered the same problem, many thanks.

Comments

  • scribescribe Entrant Legacy User Role Beginner
    Yes, I am having the same issue.
    [~]$ rpm -qa|grep -i perc
    percona-release-0.1-4.noarch
    percona-xtrabackup-24-2.4.9-1.el7.x86_64

    I cannot specify the --compact option without getting the "not supported" message.
  • bugsbunnybugsbunny Entrant Current User Role Beginner
    Yes I too have come across this. I thought it could be because I had percona-xtrabackup-24-2.4.9-1.el7.x86_64. I got the latest version too percona-xtrabackup-24-2.4.11-1.el7.x86_64, but the same error.
    Using server version 5.7.21
    xtrabackup version 2.4.11 based on MySQL server 5.7.19 Linux (x86_64) (revision id: b4e0db5)
    xtrabackup: error: compact backups are not supported by this version of xtrabackup
  • VitaliyVitaliy Entrant Legacy User Role Novice
    Backup Support for MariaDB-Exclusive Features:
    ...However, existing backup solutions from the MySQL ecosystem, such as Percona XtraBackup, did not support full backup capability for these features.
    ...
    The --compact and --rebuild_indexes options are not supported.
  • vadimtkvadimtk Contributor Percona Staff Role
    Due to all changes in the recent InnoDB versions and because of low interest to --compact feature, we removed support of compact backups from Percona XtraBackup.
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.